import processing.core.*; import processing.video.*; import java.applet.*; import java.awt.*; import java.awt.image.*; import java.awt.event.*; import java.io.*; import java.net.*; import java.text.*; import java.util.*; import java.util.zip.*; public class capture_jim_campbell02 extends PApplet {

// Definir une variable pour la taille de chaque cellule dans la grille
int TailleCellule = 7;
// Definir une variable pour le nombre de colonnes et de lignes
int cols, rows;
// Definir une variable pour la capture video
Capture video;

public void setup()
{
  // Definir la taille de la fenetre
  size(200, 200);

  // Definir le nombre d'images/sec
  frameRate(30);

  //Definir le nombre de colonnes en divisant la largeur par la variable TailleCellule
  cols = width/TailleCellule;

  //Definir le nombre de lignes en divisant la hauteur par la variable TailleCellule
  rows = height/TailleCellule;

  colorMode(RGB,255,255,255,100);
  smooth();

  // Utiliser le p\u00e9riph\u00e9rique de capture par d\u00e9faut
  video = new Capture(this, 200, 200, 15);
}

public void captureEvent(Capture camera)
{
  camera.read();
}

public void draw()
{
  // definir un fond noir
  background(0);

  // boucle de construction des colonnes
  for ( int i = 0; i < cols; i++) {
    // boucle de construction des lignes
    for ( int j = 0; j < rows; j++) {

      // definir des variables pour grossir les pixels
      int x = i*TailleCellule;
      int y = j*TailleCellule;
      // retourner l'axe des x pour obtenir un effet miroir
      int loc = (video.width - x - 1) + y*video.width;

      // chaque gros pixel est colore en blanc, sa taille etant determinee par la clarte
      int c = video.pixels[loc];
      float sz = (brightness(c)/255.0f)*TailleCellule;
      // construire les pixels ronds reagissant a la clarte
      ellipseMode(CENTER);
      fill(255);
      noStroke();
      ellipse(x+TailleCellule/2,y+TailleCellule/2,sz,sz);
    }
  }
}


static public void main(String args[]) {   PApplet.main(new String[] { "capture_jim_campbell02" });}}